## timg 1.4.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(timg VERSION 1.4.2 LANGUAGES CXX)

option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2" ON)
option(WITH_OPENSLIDE_SUPPORT "Enables support to scientific OpenSlide formats" ON)

# Options that should be typically on, but could be disabled for special
# applications where less dependencies are required
option(WITH_GRAPHICSMAGICK "Enable general image loading with Graphicsmagick. You typically want this." ON)
option(WITH_TURBOJPEG "Optimized JPEG loading. You typically want this." ON)

# Note: The version string can be ammended with -DDISTRIBUTION_VERSION, see src/timg-version.h.in
option(TIMG_VERSION_FROM_GIT "Get the program version from the git repository" ON)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FindPkgConfig)
include(GNUInstallDirs)

if(TIMG_VERSION_FROM_GIT)
  find_package(Git REQUIRED)
  include(GetGitRevisionDescription)
endif()

pkg_check_modules(ZLIB REQUIRED IMPORTED_TARGET zlib)
pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)

if(WITH_TURBOJPEG)
  pkg_check_modules(TURBOJPEG REQUIRED IMPORTED_TARGET libturbojpeg)
  pkg_check_modules(EXIF REQUIRED IMPORTED_TARGET libexif)
endif()

if(WITH_GRAPHICSMAGICK)
  pkg_check_modules(GRAPHICSMAGICKXX IMPORTED_TARGET REQUIRED GraphicsMagick++)
endif()

if(WITH_OPENSLIDE_SUPPORT)
  pkg_check_modules(OPENSLIDE IMPORTED_TARGET REQUIRED openslide)
endif()

if(WITH_VIDEO_DECODING)
  pkg_check_modules(LIBAV IMPORTED_TARGET REQUIRED libavcodec libavutil libavformat)
  if (WITH_VIDEO_DEVICE)
    pkg_check_modules(LIBAV_DEVICE IMPORTED_TARGET REQUIRED libavdevice)
  endif()
endif()

find_package(Threads)

add_subdirectory(src)
add_subdirectory(man)

=== src/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "-W -Wall -Wextra -Wno-unused-parameter -O3 ${CMAKE_CXX_FLAGS}")

add_executable(timg timg.cc)
target_sources(timg PRIVATE
  buffered-write-sequencer.h buffered-write-sequencer.cc
  display-options.h
  framebuffer.h     framebuffer.cc
  image-source.h    image-source.cc
  iterm2-canvas.h   iterm2-canvas.cc
  kitty-canvas.h    kitty-canvas.cc
  renderer.h        renderer.cc
  terminal-canvas.h terminal-canvas.cc
  termutils.h       termutils.cc
  thread-pool.h
  timg-base64.h
  timg-png.h        timg-png.cc
  timg-time.h
  unicode-block-canvas.h unicode-block-canvas.cc
)

target_link_libraries(timg
  PkgConfig::SWSCALE
  PkgConfig::AVUTIL
  PkgConfig::ZLIB
  Threads::Threads)
target_include_directories(timg PRIVATE ${CMAKE_BINARY_DIR}/src)

target_compile_features(timg PRIVATE cxx_std_14)

if(TIMG_VERSION_FROM_GIT)
  git_describe(GIT_DESCRIBE_VERSION)
  git_committime(GIT_DATE)
endif()
if(NOT GIT_DESCRIBE_VERSION OR NOT TIMG_VERSION_FROM_GIT)
  unset(GIT_DATE)
  set(GIT_DESCRIBE_VERSION "${PROJECT_VERSION}+")
endif()

configure_file(timg-version.h.in timg-version.h)

if(WITH_GRAPHICSMAGICK)
  target_sources(timg PUBLIC image-display.h image-display.cc)
  target_compile_definitions(timg PUBLIC WITH_TIMG_GRPAPHICSMAGICK)
  target_link_libraries(timg PkgConfig::GRAPHICSMAGICKXX)
endif()

if(WITH_TURBOJPEG)
  target_sources(timg PUBLIC jpeg-source.h jpeg-source.cc)
  target_compile_definitions(timg PUBLIC WITH_TIMG_JPEG)
  target_link_libraries(timg PkgConfig::TURBOJPEG PkgConfig::EXIF)
endif()

if(WITH_OPENSLIDE_SUPPORT)
  target_sources(timg PUBLIC openslide-source.h openslide-source.cc)
  target_compile_definitions(timg PUBLIC WITH_TIMG_OPENSLIDE_SUPPORT)
  target_link_libraries(timg PkgConfig::OPENSLIDE)
endif()

if(WITH_VIDEO_DECODING)
  target_sources(timg PUBLIC video-display.h video-display.cc)
  target_compile_definitions(timg PUBLIC WITH_TIMG_VIDEO)
  target_link_libraries(timg PkgConfig::LIBAV PkgConfig::SWSCALE)
  if (WITH_VIDEO_DEVICE)
    target_link_libraries(timg PkgConfig::LIBAV_DEVICE PkgConfig::SWSCALE)
    add_definitions(-DHAVE_AVDEVICE)
  endif()
endif()

install(TARGETS timg
  RUNTIME DESTINATION bin
)

# Local debian package creation until available natively in Debian.
# Use
#   cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ../
#   cpack
SET(CPACK_GENERATOR "DEB")
SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "henner.zeller+unsupported-timg-deb@gmail.com")
SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION "A terminal image and video viewer.")
SET(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://timg.sh/")
SET(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
INCLUDE(CPack)

=== debian/changelog ===
timg (1.4.2-2) unstable; urgency=medium

  * No-change source-only upload.

 -- Tobias Frost <tobi@debian.org>  Sat, 12 Jun 2021 14:28:53 +0200

timg (1.4.2-1) unstable; urgency=medium

  * Initial release (Closes: #982087)

 -- Tobias Frost <tobi@debian.org>  Thu, 29 Apr 2021 22:24:15 +0200

=== debian/control ===
Source: timg
Section: graphics
Priority: optional
Maintainer: Tobias Frost <tobi@debian.org>
Build-Depends: cmake (>= 3.10),
               debhelper-compat (= 13),
               libavdevice-dev,
               libexif-dev,
               libgraphicsmagick++-dev,
               libopenslide-dev,
               libpng-dev,
               libswscale-dev,
               libturbojpeg-dev,
               pandoc,
               pkg-config
Standards-Version: 4.5.1
Homepage: https://github.com/hzeller/timg
Vcs-Browser: https://salsa.debian.org/debian/timg
Vcs-Git: https://salsa.debian.org/debian/timg.git
Rules-Requires-Root: no

Package: timg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: terminal image and video viewer
 A user-friendly viewer that uses 24-Bit color capabilities and unicode
 character blocks to display images, animations and videos in the terminal.
 .
 On terminals that implement the Kitty Graphics Protocol or the iTerm2 Graphics
 Protocol this displays images in full resolution.
 .
 Useful if you want to have a quick visual check without leaving the comfort of
 your shell and having to start a bulky image viewer. Sometimes this is the only
 way if your terminal is connected remotely via ssh. And of course if you don't
 need the resolution. While icons typically fit pixel-perfect, larger images are
 scaled down to match the resolution.
 .
 The command line accepts any number of image/video filenames that it shows in
 sequence one per page or in a grid in multiple columns, depending on your
 choice of --grid. The output is emitted in-line with minimally messing with
 your terminal, so you can simply go back in history using your terminals'
 scroll-bar (Or redirecting the output to a file allows you to later simply cat
 that file to your terminal. Even less -R seems to be happy with it).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DTIMG_VERSION_FROM_GIT=Off \
		-DDISTRIBUTION_VERSION="(Debian package $(DEB_VERSION))"

override_dh_installdocs:
	dh_installdocs -XREADME.images.txt

## timg 1.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(timg VERSION 1.4.3 LANGUAGES CXX)

option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)
option(WITH_OPENSLIDE_SUPPORT "Enables support to scientific OpenSlide formats" OFF)

# Options that should be typically on, but could be disabled for special
# applications where less dependencies are required
option(WITH_GRAPHICSMAGICK "Enable general image loading with Graphicsmagick. You typically want this." ON)
option(WITH_TURBOJPEG "Optimized JPEG loading. You typically want this." ON)
option(WITH_TERMINAL_QUERY "Query terminals for availability of kitty/iterm capabilities and background color. If not compiled in, choose with -p (pixelation) and -b (background)" ON)

option(WITH_STB_IMAGE "Use STB image, a self-contained albeit limited image loading and lower quality. Use if WITH_GRAPHICSMAGICK is not possible and want to limit dependencies." OFF)

# Note: The version string can be ammended with -DDISTRIBUTION_VERSION, see src/timg-version.h.in
option(TIMG_VERSION_FROM_GIT "Get the program version from the git repository" ON)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

include(FindPkgConfig)
include(GNUInstallDirs)

if(TIMG_VERSION_FROM_GIT)
  find_package(Git REQUIRED)
  include(GetGitRevisionDescription)
endif()

pkg_check_modules(ZLIB REQUIRED IMPORTED_TARGET zlib)

if(WITH_TURBOJPEG)
  pkg_check_modules(TURBOJPEG REQUIRED IMPORTED_TARGET libturbojpeg)
  pkg_check_modules(EXIF REQUIRED IMPORTED_TARGET libexif)
  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
endif()

if(WITH_GRAPHICSMAGICK)
  pkg_check_modules(GRAPHICSMAGICKXX IMPORTED_TARGET REQUIRED GraphicsMagick++)
endif()

if(WITH_OPENSLIDE_SUPPORT)
  pkg_check_modules(OPENSLIDE IMPORTED_TARGET REQUIRED openslide)
  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
endif()

if(WITH_VIDEO_DECODING)
  pkg_check_modules(LIBAV IMPORTED_TARGET REQUIRED libavcodec libavutil libavformat)
  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
  if (WITH_VIDEO_DEVICE)
    pkg_check_modules(LIBAV_DEVICE IMPORTED_TARGET REQUIRED libavdevice)
  endif()
endif()

find_package(Threads)

add_subdirectory(src)
add_subdirectory(man)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,7 @@
   unicode-block-canvas.h unicode-block-canvas.cc
 )
 
-target_link_libraries(timg
-  PkgConfig::SWSCALE
-  PkgConfig::AVUTIL
-  PkgConfig::ZLIB
-  Threads::Threads)
+target_link_libraries(timg PkgConfig::ZLIB Threads::Threads)
 target_include_directories(timg PRIVATE ${CMAKE_BINARY_DIR}/src)
 
 target_compile_features(timg PRIVATE cxx_std_14)
@@ -38,6 +34,11 @@
 
 configure_file(timg-version.h.in timg-version.h)
 
+if(WITH_TERMINAL_QUERY)
+  target_sources(timg PUBLIC term-query.h term-query.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_TERMINAL_QUERY)
+endif()
+
 if(WITH_GRAPHICSMAGICK)
   target_sources(timg PUBLIC image-display.h image-display.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_GRPAPHICSMAGICK)
@@ -47,23 +48,37 @@
 if(WITH_TURBOJPEG)
   target_sources(timg PUBLIC jpeg-source.h jpeg-source.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_JPEG)
-  target_link_libraries(timg PkgConfig::TURBOJPEG PkgConfig::EXIF)
+  target_link_libraries(timg
+    PkgConfig::TURBOJPEG
+    PkgConfig::EXIF
+    PkgConfig::AVUTIL
+    PkgConfig::SWSCALE)
 endif()
 
 if(WITH_OPENSLIDE_SUPPORT)
   target_sources(timg PUBLIC openslide-source.h openslide-source.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_OPENSLIDE_SUPPORT)
-  target_link_libraries(timg PkgConfig::OPENSLIDE)
+  target_link_libraries(timg PkgConfig::OPENSLIDE
+    PkgConfig::AVUTIL
+    PkgConfig::SWSCALE)
 endif()
 
 if(WITH_VIDEO_DECODING)
   target_sources(timg PUBLIC video-display.h video-display.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_VIDEO)
-  target_link_libraries(timg PkgConfig::LIBAV PkgConfig::SWSCALE)
+  target_link_libraries(timg
+    PkgConfig::LIBAV
+    PkgConfig::AVUTIL
+    PkgConfig::SWSCALE)
   if (WITH_VIDEO_DEVICE)
-    target_link_libraries(timg PkgConfig::LIBAV_DEVICE PkgConfig::SWSCALE)
+    target_link_libraries(timg PkgConfig::LIBAV_DEVICE)
     add_definitions(-DHAVE_AVDEVICE)
   endif()
+endif()
+
+if(WITH_STB_IMAGE)
+  target_sources(timg PUBLIC stb-image-source.h stb-image-source.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
 endif()
 
 install(TARGETS timg

=== debian/changelog ===
timg (1.4.3-1) unstable; urgency=medium

  [ Tobias Frost ]
  * New upstream version 1.4.3
  * Enable OpenSlide support.
  * Update d/copyright.
  * Remove (invalid) homepage field from d/upstream/metadata.

  [ Debian Janitor ]
  * Bump S-V to 4.6.0 -- no changes required.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on cmake.

 -- Tobias Frost <tobi@debian.org>  Fri, 28 Jan 2022 15:56:10 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Tobias Frost <tobi@debian.org>
-Build-Depends: cmake (>= 3.10),
+Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
                libexif-dev,
@@ -13,7 +13,7 @@
                libturbojpeg-dev,
                pandoc,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%timg-$1.tar.gz%" \
   https://github.com/hzeller/timg/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## timg 1.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10)
 
-project(timg VERSION 1.4.3 LANGUAGES CXX)
+project(timg VERSION 1.4.4 LANGUAGES CXX)
 
 option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
 option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)

=== debian/changelog ===
timg (1.4.4-1build1) kinetic; urgency=medium

  * No-change rebuild against libavcodec59

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 19 Jul 2022 13:09:19 +0000

timg (1.4.4-1) unstable; urgency=medium

  * New upstream release.
    - Closes: #1004804, as this version works with ffmpeg 5.0.

 -- Tobias Frost <tobi@debian.org>  Sun, 27 Mar 2022 12:04:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,

## timg 1.4.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10)
 
-project(timg VERSION 1.4.4 LANGUAGES CXX)
+project(timg VERSION 1.4.5 LANGUAGES CXX)
 
 option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
 option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)
@@ -12,11 +12,14 @@
 option(WITH_TURBOJPEG "Optimized JPEG loading. You typically want this." ON)
 option(WITH_TERMINAL_QUERY "Query terminals for availability of kitty/iterm capabilities and background color. If not compiled in, choose with -p (pixelation) and -b (background)" ON)
 
-option(WITH_STB_IMAGE "Use STB image, a self-contained albeit limited image loading and lower quality. Use if WITH_GRAPHICSMAGICK is not possible and want to limit dependencies." OFF)
+option(WITH_STB_IMAGE "Use STB image, a self-contained albeit limited image loading and lower quality. Use if WITH_GRAPHICSMAGICK is not possible and want to limit dependencies. Default on to be used as fallback." ON)
+
+option(WITH_QOI_IMAGE "QOI image format" ON)
 
 # Note: The version string can be ammended with -DDISTRIBUTION_VERSION, see src/timg-version.h.in
 option(TIMG_VERSION_FROM_GIT "Get the program version from the git repository" ON)
 
+set(CMAKE_EXPORT_COMPILE_COMMANDS ON)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 include(FindPkgConfig)
@@ -55,6 +58,12 @@
   endif()
 endif()
 
+# TODO: allow for fallback if that is not available.
+if(WITH_QOI_IMAGE)
+  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
+  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
+endif()
+
 find_package(Threads)
 
 add_subdirectory(src)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -81,6 +81,14 @@
   target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
 endif()
 
+if(WITH_QOI_IMAGE)
+  target_sources(timg PUBLIC qoi-image-source.h qoi-image-source.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_QOI)
+  target_link_libraries(timg
+    PkgConfig::AVUTIL
+    PkgConfig::SWSCALE)
+endif()
+
 install(TARGETS timg
   RUNTIME DESTINATION bin
 )

=== debian/changelog ===
timg (1.4.5-1+deb12u1) bookworm; urgency=medium

  * Cherry-pick upstream fix for CVE-2023-40968 (Closes: #1051231)

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Sep 2023 19:07:01 +0200

timg (1.4.5-1) unstable; urgency=medium

  [ Tobias Frost ]
  * New upstream version 1.4.5
  * Add patch to be able to use packaged libqoi and use it.
  * Update debian/copyright with new upstream release.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Tobias Frost <tobi@debian.org>  Wed, 30 Nov 2022 20:09:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
@@ -10,11 +9,12 @@
                libgraphicsmagick++-dev,
                libopenslide-dev,
                libpng-dev,
+               libqoi-dev,
                libswscale-dev,
                libturbojpeg-dev,
                pandoc,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git

## timg 1.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10)
 
-project(timg VERSION 1.4.5 LANGUAGES CXX)
+project(timg VERSION 1.5.2 LANGUAGES CXX)
 
 option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
 option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)
@@ -11,6 +11,7 @@
 option(WITH_GRAPHICSMAGICK "Enable general image loading with Graphicsmagick. You typically want this." ON)
 option(WITH_TURBOJPEG "Optimized JPEG loading. You typically want this." ON)
 option(WITH_TERMINAL_QUERY "Query terminals for availability of kitty/iterm capabilities and background color. If not compiled in, choose with -p (pixelation) and -b (background)" ON)
+option(WITH_LIBSIXEL "Provide sixel output which is supported by some older terminals such as xterm" ON)
 
 option(WITH_STB_IMAGE "Use STB image, a self-contained albeit limited image loading and lower quality. Use if WITH_GRAPHICSMAGICK is not possible and want to limit dependencies. Default on to be used as fallback." ON)
 
@@ -30,7 +31,16 @@
   include(GetGitRevisionDescription)
 endif()
 
-pkg_check_modules(ZLIB REQUIRED IMPORTED_TARGET zlib)
+# Ubuntu 20.04 does not provide pkg-config, so use find_library() as fallback
+pkg_check_modules(LIBDEFLATE_PKGCONFIG IMPORTED_TARGET libdeflate)
+if (NOT LIBDEFLATE_PKGCONFIG_FOUND)
+  find_library(LIBDEFLATE_LIBRARY NAMES deflate)
+  message("Manual libdeflate lookup ${LIBDEFLATE_LIBRARY}")
+endif()
+
+if(WITH_LIBSIXEL)
+  pkg_check_modules(LIBSIXEL REQUIRED IMPORTED_TARGET libsixel)
+endif()
 
 if(WITH_TURBOJPEG)
   pkg_check_modules(TURBOJPEG REQUIRED IMPORTED_TARGET libturbojpeg)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -15,10 +15,19 @@
   timg-base64.h
   timg-png.h        timg-png.cc
   timg-time.h
+  timg-help.h       timg-help.cc
   unicode-block-canvas.h unicode-block-canvas.cc
 )
 
-target_link_libraries(timg PkgConfig::ZLIB Threads::Threads)
+target_link_libraries(timg Threads::Threads)
+
+if (LIBDEFLATE_PKGCONFIG_FOUND)
+  target_link_libraries(timg PkgConfig::LIBDEFLATE_PKGCONFIG)
+else()
+  # Use fallback.
+  target_link_libraries(timg ${LIBDEFLATE_LIBRARY})
+endif()
+
 target_include_directories(timg PRIVATE ${CMAKE_BINARY_DIR}/src)
 
 target_compile_features(timg PRIVATE cxx_std_14)
@@ -37,6 +46,12 @@
 if(WITH_TERMINAL_QUERY)
   target_sources(timg PUBLIC term-query.h term-query.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_TERMINAL_QUERY)
+endif()
+
+if(WITH_LIBSIXEL)
+  target_sources(timg PUBLIC sixel-canvas.h sixel-canvas.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_SIXEL)
+  target_link_libraries(timg PkgConfig::LIBSIXEL)
 endif()
 
 if(WITH_GRAPHICSMAGICK)
@@ -77,29 +92,42 @@
 endif()
 
 if(WITH_STB_IMAGE)
+  include(CheckIncludeFileCXX)
+  CHECK_INCLUDE_FILE_CXX(stb/stb_image.h HAVE_STB)
   target_sources(timg PUBLIC stb-image-source.h stb-image-source.cc)
+  if(NOT HAVE_STB)
+    message("--> Using STB from third_party/ instead")
+    target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party)
+  endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
 endif()
 
 if(WITH_QOI_IMAGE)
+  include(CheckIncludeFileCXX)
+  CHECK_INCLUDE_FILE_CXX(qoi.h HAVE_QOI)
   target_sources(timg PUBLIC qoi-image-source.h qoi-image-source.cc)
+  if(NOT HAVE_QOI)
+    message("--> Using OTB from third_party/ instead")
+    target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party/qoi)
+  endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_QOI)
   target_link_libraries(timg
     PkgConfig::AVUTIL
     PkgConfig::SWSCALE)
 endif()
 
-install(TARGETS timg
-  RUNTIME DESTINATION bin
-)
+# We always take the manpage from the checkout currently so that we don't
+# require pandoc to build.
+add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/timg-manpage.inc
+  COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/create-manpage-inc.sh" ${CMAKE_CURRENT_SOURCE_DIR}/../man/timg.1 ${CMAKE_CURRENT_BINARY_DIR}/timg-manpage.inc
+    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/../man/timg.1
+    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
+    COMMENT "Generating builtin manpage")
+add_custom_target(builtin-manpage DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/timg-manpage.inc)
 
-# Local debian package creation until available natively in Debian.
-# Use
-#   cmake -DCMAKE_INSTALL_PREFIX:PATH=/usr ../
-#   cpack
-SET(CPACK_GENERATOR "DEB")
-SET(CPACK_DEBIAN_PACKAGE_MAINTAINER "henner.zeller+unsupported-timg-deb@gmail.com")
-SET(CPACK_DEBIAN_PACKAGE_DESCRIPTION "A terminal image and video viewer.")
-SET(CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://timg.sh/")
-SET(CPACK_DEBIAN_PACKAGE_SHLIBDEPS ON)
-INCLUDE(CPack)
+# Currently disabled. The ancient `man` command on MacOS is misbehaving, so
+# for now, it is checked into the repo at src/timg-manpage.inc
+#add_dependencies(timg builtin-manpage)
+
+
+install(TARGETS timg RUNTIME DESTINATION bin)

=== debian/changelog ===
timg (1.5.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:24:55 +1100

timg (1.5.2-1build1) noble; urgency=high

  * No change rebuild against libgraphicsmagick++-q16-12t64,
    libgraphicsmagick-q16-3t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:57:11 +0100

timg (1.5.2-1) unstable; urgency=medium

  * New upstream release. This fixes CVE-2023-40968 (Closes: #1051231)
    - Drop patch, applied upstream.
    - B-D on libdeflate-dev and libsixel-dev, as utilized by the new version.
    - Update d/clean, as third party code has been rearranged.
  * Update d/copyright due to rearrangment of code and a new has started.

 -- Tobias Frost <tobi@debian.org>  Sat, 09 Sep 2023 18:45:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,18 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
+               libdeflate-dev,
                libexif-dev,
                libgraphicsmagick++-dev,
                libopenslide-dev,
                libpng-dev,
                libqoi-dev,
+               libsixel-dev,
                libswscale-dev,
                libturbojpeg-dev,
                pandoc,

## timg 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,21 +1,24 @@
 cmake_minimum_required(VERSION 3.10)
 
-project(timg VERSION 1.5.2 LANGUAGES CXX)
+project(timg VERSION 1.6.0 LANGUAGES CXX)
 
 option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
 option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)
-option(WITH_OPENSLIDE_SUPPORT "Enables support to scientific OpenSlide formats" OFF)
 
 # Options that should be typically on, but could be disabled for special
 # applications where less dependencies are required
 option(WITH_GRAPHICSMAGICK "Enable general image loading with Graphicsmagick. You typically want this." ON)
 option(WITH_TURBOJPEG "Optimized JPEG loading. You typically want this." ON)
-option(WITH_TERMINAL_QUERY "Query terminals for availability of kitty/iterm capabilities and background color. If not compiled in, choose with -p (pixelation) and -b (background)" ON)
+option(WITH_RSVG "Use librsvg to open SVG images." ON)
+option(WITH_POPPLER "Use poppler to render PDFs" ON)
+option(WITH_STB_IMAGE "Use STB image, a self-contained albeit limited image loading and lower quality. Use if WITH_GRAPHICSMAGICK is not possible and want to limit dependencies. Default on to be used as fallback." ON)
+option(WITH_QOI_IMAGE "QOI image format" ON)
+
+# Compile-time option for specialized
+option(WITH_OPENSLIDE_SUPPORT "Enables support to scientific OpenSlide formats" OFF)
+
+# Output formats
 option(WITH_LIBSIXEL "Provide sixel output which is supported by some older terminals such as xterm" ON)
-
-option(WITH_STB_IMAGE "Use STB image, a self-contained albeit limited image loading and lower quality. Use if WITH_GRAPHICSMAGICK is not possible and want to limit dependencies. Default on to be used as fallback." ON)
-
-option(WITH_QOI_IMAGE "QOI image format" ON)
 
 # Note: The version string can be ammended with -DDISTRIBUTION_VERSION, see src/timg-version.h.in
 option(TIMG_VERSION_FROM_GIT "Get the program version from the git repository" ON)
@@ -53,6 +56,16 @@
   pkg_check_modules(GRAPHICSMAGICKXX IMPORTED_TARGET REQUIRED GraphicsMagick++)
 endif()
 
+if(WITH_RSVG)
+  pkg_check_modules(RSVG REQUIRED IMPORTED_TARGET librsvg-2.0)
+  pkg_check_modules(CAIRO REQUIRED IMPORTED_TARGET cairo)
+endif()
+
+if(WITH_POPPLER)
+  pkg_check_modules(POPPLER REQUIRED IMPORTED_TARGET poppler-glib)
+  pkg_check_modules(CAIRO REQUIRED IMPORTED_TARGET cairo)
+endif()
+
 if(WITH_OPENSLIDE_SUPPORT)
   pkg_check_modules(OPENSLIDE IMPORTED_TARGET REQUIRED openslide)
   pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,8 @@
   kitty-canvas.h    kitty-canvas.cc
   renderer.h        renderer.cc
   terminal-canvas.h terminal-canvas.cc
-  termutils.h       termutils.cc
+  utils.h           utils.cc
+  term-query.h      term-query.cc
   thread-pool.h
   timg-base64.h
   timg-png.h        timg-png.cc
@@ -30,7 +31,7 @@
 
 target_include_directories(timg PRIVATE ${CMAKE_BINARY_DIR}/src)
 
-target_compile_features(timg PRIVATE cxx_std_14)
+target_compile_features(timg PRIVATE cxx_std_17)
 
 if(TIMG_VERSION_FROM_GIT)
   git_describe(GIT_DESCRIBE_VERSION)
@@ -43,10 +44,6 @@
 
 configure_file(timg-version.h.in timg-version.h)
 
-if(WITH_TERMINAL_QUERY)
-  target_sources(timg PUBLIC term-query.h term-query.cc)
-  target_compile_definitions(timg PUBLIC WITH_TIMG_TERMINAL_QUERY)
-endif()
 
 if(WITH_LIBSIXEL)
   target_sources(timg PUBLIC sixel-canvas.h sixel-canvas.cc)
@@ -55,9 +52,21 @@
 endif()
 
 if(WITH_GRAPHICSMAGICK)
-  target_sources(timg PUBLIC image-display.h image-display.cc)
+  target_sources(timg PUBLIC graphics-magick-source.h graphics-magick-source.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_GRPAPHICSMAGICK)
   target_link_libraries(timg PkgConfig::GRAPHICSMAGICKXX)
+endif()
+
+if(WITH_RSVG)
+  target_sources(timg PUBLIC svg-image-source.h svg-image-source.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_RSVG)
+  target_link_libraries(timg PkgConfig::RSVG PkgConfig::CAIRO)
+endif()
+
+if(WITH_POPPLER)
+  target_sources(timg PUBLIC pdf-image-source.h pdf-image-source.cc)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_POPPLER)
+  target_link_libraries(timg PkgConfig::POPPLER PkgConfig::CAIRO)
 endif()
 
 if(WITH_TURBOJPEG)
@@ -79,7 +88,7 @@
 endif()
 
 if(WITH_VIDEO_DECODING)
-  target_sources(timg PUBLIC video-display.h video-display.cc)
+  target_sources(timg PUBLIC video-source.h video-source.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_VIDEO)
   target_link_libraries(timg
     PkgConfig::LIBAV
@@ -92,12 +101,17 @@
 endif()
 
 if(WITH_STB_IMAGE)
+  # STB usuall does not come with pkg-config. Just check if we see the include
   include(CheckIncludeFileCXX)
   CHECK_INCLUDE_FILE_CXX(stb/stb_image.h HAVE_STB)
   target_sources(timg PUBLIC stb-image-source.h stb-image-source.cc)
   if(NOT HAVE_STB)
     message("--> Using STB from third_party/ instead")
     target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party)
+  endif()
+  CHECK_INCLUDE_FILE_CXX(stb/stb_image_resize2.h STB_RESIZE_VERSION2)
+  if(STB_RESIZE_VERSION2)
+    target_compile_definitions(timg PUBLIC STB_RESIZE_VERSION2)
   endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
 endif()
@@ -107,7 +121,7 @@
   CHECK_INCLUDE_FILE_CXX(qoi.h HAVE_QOI)
   target_sources(timg PUBLIC qoi-image-source.h qoi-image-source.cc)
   if(NOT HAVE_QOI)
-    message("--> Using OTB from third_party/ instead")
+    message("--> Using QOI from third_party/ instead")
     target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party/qoi)
   endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_QOI)

=== debian/changelog ===
timg (1.6.0-1build2) plucky; urgency=medium

  * Rebuild against latest libjpeg-turbo

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 19 Nov 2024 17:39:27 -0500

timg (1.6.0-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:28:49 +0200

timg (1.6.0-1) unstable; urgency=medium

  * New upstream release.
  * Add required B-Ds for new upstream featureas: libpoppler and librsvg2
  * Bump S-V to 4.7.0 -- no changes required.
  * Change obsolete B-D pkg-config to pkgconf

 -- Tobias Frost <tobi@debian.org>  Sat, 20 Apr 2024 11:51:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: timg
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Tobias Frost <tobi@debian.org>
+Maintainer: Tobias Frost <tobi@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libavdevice-dev,
                libdeflate-dev,
                libexif-dev,
+               libpoppler-glib-dev,
                libgraphicsmagick++-dev,
                libopenslide-dev,
                libpng-dev,
                libqoi-dev,
                libsixel-dev,
+               librsvg2-dev,
                libswscale-dev,
                libturbojpeg-dev,
                pandoc,
-               pkg-config
-Standards-Version: 4.6.1
+               pkgconf
+Standards-Version: 4.7.0
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git

## timg 1.6.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.10)
 
-project(timg VERSION 1.6.0 LANGUAGES CXX)
+project(timg VERSION 1.6.3 LANGUAGES CXX)
 
 option(WITH_VIDEO_DECODING "Enables video decoding feature" ON)
 option(WITH_VIDEO_DEVICE "Enables reading videos from devices e.g. v4l2 (requires WITH_VIDEO_DECODING)" ON)
@@ -48,8 +48,6 @@
 if(WITH_TURBOJPEG)
   pkg_check_modules(TURBOJPEG REQUIRED IMPORTED_TARGET libturbojpeg)
   pkg_check_modules(EXIF REQUIRED IMPORTED_TARGET libexif)
-  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
-  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
 endif()
 
 if(WITH_GRAPHICSMAGICK)
@@ -68,8 +66,6 @@
 
 if(WITH_OPENSLIDE_SUPPORT)
   pkg_check_modules(OPENSLIDE IMPORTED_TARGET REQUIRED openslide)
-  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
-  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
 endif()
 
 if(WITH_VIDEO_DECODING)
@@ -81,12 +77,6 @@
   endif()
 endif()
 
-# TODO: allow for fallback if that is not available.
-if(WITH_QOI_IMAGE)
-  pkg_check_modules(AVUTIL REQUIRED IMPORTED_TARGET libavutil)
-  pkg_check_modules(SWSCALE IMPORTED_TARGET REQUIRED libswscale)
-endif()
-
 find_package(Threads)
 
 add_subdirectory(src)

=== man/CMakeLists.txt ===
find_program(PANDOC pandoc)

if(PANDOC)
  add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/timg.1
    COMMAND ${PANDOC} ARGS "${CMAKE_CURRENT_SOURCE_DIR}/timg.1.md" "-s" "-t" "man" "-o" "${CMAKE_CURRENT_BINARY_DIR}/timg.1"
    DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/timg.1.md
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}"
    COMMENT "Building manpage timg.1"
  )

  add_custom_target(man ALL DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/timg.1)

  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/timg.1
    DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
  )
else()
  message(WARNING "NOT re-generating the manpage. Possibly pandoc is not installed.")
  install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/timg.1
    DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1
  )
endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -16,6 +16,8 @@
   timg-base64.h
   timg-png.h        timg-png.cc
   timg-time.h
+  timg-print-version.h timg-print-version.cc
+  image-scaler.h    image-scaler.cc
   timg-help.h       timg-help.cc
   unicode-block-canvas.h unicode-block-canvas.cc
 )
@@ -71,20 +73,21 @@
 
 if(WITH_TURBOJPEG)
   target_sources(timg PUBLIC jpeg-source.h jpeg-source.cc)
+  include(CheckIncludeFileCXX)
+  CHECK_INCLUDE_FILE_CXX(jconfig.h JCONFIG_H_AVAILABLE)
   target_compile_definitions(timg PUBLIC WITH_TIMG_JPEG)
+  if (JCONFIG_H_AVAILABLE)
+    target_compile_definitions(timg PUBLIC HAVE_JCONFIG_H)
+  endif()
   target_link_libraries(timg
     PkgConfig::TURBOJPEG
-    PkgConfig::EXIF
-    PkgConfig::AVUTIL
-    PkgConfig::SWSCALE)
+    PkgConfig::EXIF)
 endif()
 
 if(WITH_OPENSLIDE_SUPPORT)
   target_sources(timg PUBLIC openslide-source.h openslide-source.cc)
   target_compile_definitions(timg PUBLIC WITH_TIMG_OPENSLIDE_SUPPORT)
-  target_link_libraries(timg PkgConfig::OPENSLIDE
-    PkgConfig::AVUTIL
-    PkgConfig::SWSCALE)
+  target_link_libraries(timg PkgConfig::OPENSLIDE)
 endif()
 
 if(WITH_VIDEO_DECODING)
@@ -98,22 +101,35 @@
     target_link_libraries(timg PkgConfig::LIBAV_DEVICE)
     add_definitions(-DHAVE_AVDEVICE)
   endif()
+  set(SHOULD_SCALE_SWS ON)  # we link it anyway
 endif()
 
 if(WITH_STB_IMAGE)
   # STB usuall does not come with pkg-config. Just check if we see the include
+  # Always want image resize2, if not, use third_party/
   include(CheckIncludeFileCXX)
-  CHECK_INCLUDE_FILE_CXX(stb/stb_image.h HAVE_STB)
+  CHECK_INCLUDE_FILE_CXX(stb/stb_image.h HAVE_SYSTEM_STB)
   target_sources(timg PUBLIC stb-image-source.h stb-image-source.cc)
-  if(NOT HAVE_STB)
-    message("--> Using STB from third_party/ instead")
+  if(NOT HAVE_SYSTEM_STB)
+    message("--> Using STB from third_party/")
     target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party)
   endif()
-  CHECK_INCLUDE_FILE_CXX(stb/stb_image_resize2.h STB_RESIZE_VERSION2)
-  if(STB_RESIZE_VERSION2)
-    target_compile_definitions(timg PUBLIC STB_RESIZE_VERSION2)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
+endif()
+
+# TODO: for scaling, there is also zimg to explore
+if(SHOULD_SCALE_SWS)
+  target_link_libraries(timg
+    PkgConfig::AVUTIL
+    PkgConfig::SWSCALE)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_SWS_RESIZE)
+else()
+  CHECK_INCLUDE_FILE_CXX(stb/stb_image_resize2.h HAVE_SYSTEM_STB_RESIZE2)
+  if(NOT HAVE_SYSTEM_STB_RESIZE2)
+    message("--> Using STB resize2 from third_party/")
+    target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party)
   endif()
-  target_compile_definitions(timg PUBLIC WITH_TIMG_STB)
+  target_compile_definitions(timg PUBLIC WITH_TIMG_STB_RESIZE)
 endif()
 
 if(WITH_QOI_IMAGE)
@@ -125,9 +141,6 @@
     target_include_directories(timg PRIVATE ${CMAKE_SOURCE_DIR}/third_party/qoi)
   endif()
   target_compile_definitions(timg PUBLIC WITH_TIMG_QOI)
-  target_link_libraries(timg
-    PkgConfig::AVUTIL
-    PkgConfig::SWSCALE)
 endif()
 
 # We always take the manpage from the checkout currently so that we don't

=== debian/changelog ===
timg (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Update d/copyright. 
  * Bump S-V to 4.7.2 -- no changes required.

 -- Tobias Frost <tobi@debian.org>  Sun, 12 Oct 2025 09:56:47 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                libturbojpeg-dev,
                pandoc,
                pkgconf
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/hzeller/timg
 Vcs-Browser: https://salsa.debian.org/debian/timg
 Vcs-Git: https://salsa.debian.org/debian/timg.git

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DTIMG_VERSION_FROM_GIT=Off \
+	dh_auto_configure -- -DTIMG_VERSION_FROM_GIT=Off -DWITH_OPENSLIDE_SUPPORT=On \
 		-DDISTRIBUTION_VERSION="(Debian package $(DEB_VERSION))"
 
 override_dh_installdocs:
